Package com.smartgwt.client.ai

# Class FixDashboardComponentDataQuestionStepResult

java.lang.Object
com.smartgwt.client.core.JsObject
com.smartgwt.client.core.DataClass
com.smartgwt.client.ai.FixDashboardComponentDataQuestionStepResult

All Implemented Interfaces:
  `HasHandlers`

public class FixDashboardComponentDataQuestionStepResult extends DataClass

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.DataClass

  `factoryCreated, factoryProperties`

  ### Fields inherited from class com.smartgwt.client.core.JsObject

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FixDashboardComponentDataQuestionStepResult()`
  `FixDashboardComponentDataQuestionStepResult(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getJSCode()`
  `static FixDashboardComponentDataQuestionStepResult`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `FixDashboardComponentDataQuestionStep`
  `getStep()`
  `FixDashboardComponentDataQuestionStepResult`
  `setJSCode(String jsCode)`
  `FixDashboardComponentDataQuestionStepResult`
  `setStep(FixDashboardComponentDataQuestionStep step)`

  ### Methods inherited from class com.smartgwt.client.core.DataClass

  `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

  ### Methods inherited from class com.smartgwt.client.core.JsObject

  `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FixDashboardComponentDataQuestionStepResult

    public FixDashboardComponentDataQuestionStepResult()

  - ### FixDashboardComponentDataQuestionStepResult

    public FixDashboardComponentDataQuestionStepResult(JavaScriptObject jsObj)

- ## Method Details

  - ### getOrCreateRef

    public static FixDashboardComponentDataQuestionStepResult getOrCreateRef(JavaScriptObject jsObj)

  - ### setJSCode

    public FixDashboardComponentDataQuestionStepResult setJSCode(String jsCode)
    Parameters:
      `jsCode` - New jsCode value. Default value is *specified via AI*
    Returns:
      `FixDashboardComponentDataQuestionStepResult` instance, for chaining setter calls

  - ### getJSCode

    public String getJSCode()
    Returns:
      Current jsCode value. Default value is *specified via AI*

  - ### setStep

    public FixDashboardComponentDataQuestionStepResult setStep(FixDashboardComponentDataQuestionStep step)
    Parameters:
      `step` - New step value. Default value is *initialized by the implementation*
    Returns:
      `FixDashboardComponentDataQuestionStepResult` instance, for chaining setter calls

  - ### getStep

    public FixDashboardComponentDataQuestionStep getStep()
    Returns:
      Current step value. Default value is *initialized by the implementation*